Skala
Users

List all users

Fetches a complete list of user records available in the system.

GET
/api/users

Fetches a complete list of user records available in the system.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

isActive?boolean
type?string
type[]?array<>
firstName?string
lastName?string
email?string
company.name?string

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/users"
[
  {
    "id": 0,
    "email": "string",
    "roles": [
      "string"
    ],
    "firstName": "string",
    "lastName": "string",
    "permissions": [
      {}
    ],
    "language": "tr",
    "deviceId": "string",
    "operations": [
      {
        "company": {
          "id": 0,
          "name": "string"
        }
      }
    ],
    "isAdmin": true,
    "isActive": true,
    "type": "user",
    "company": {
      "id": 0,
      "name": "string"
    }
  }
]